Update collection
PATCH
/api/v1/collections/{id}
const url = 'https://example.com/api/v1/collections/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","color":"#FF5733","emoji":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/collections/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "color": "#FF5733", "emoji": "example" }'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»id
required
string
Collection UUID
Request Bodyrequired
Заголовок раздела «Request Bodyrequired»Media typeapplication/json
object
name
Collection name
string
description
Description
string
color
Hex color (e.g. #FF5733)
string
Example
#FF5733emoji
Emoji
string
Responses
Заголовок раздела «Responses»Collection updated